Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Auf einem Kreisbogen messen?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Auf einem Kreisbogen messen? (6387 mal gelesen)
PamDeluxe
Mitglied



Sehen Sie sich das Profil von PamDeluxe an!   Senden Sie eine Private Message an PamDeluxe  Schreiben Sie einen Gästebucheintrag für PamDeluxe

Beiträge: 169
Registriert: 11.01.2007

Core2Duo 6300
2GB DDR2
nVidia Quadro FX 1500
AutoCAD 2007/Civil 3D 2007

erstellt am: 30. Mai. 2007 15:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi,kann mir jemand sagen wie es möglich ist auf einem kreisbogen sagen wir 5m zu messen damit ich von dort aus zb eine Linie zeichnen kann?

Grüße PamDeluxe

------------------
Ein Kreis mit unendlichem Radius ist auch nur eine Gerade.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 30. Mai. 2007 15:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

pobiers mit _measure .. der Befehl setzt dir einen Punkt ab, den du dann mittels Fang für andere Sachen weiterverwenden kannst

------------------
       - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Marita
Mitglied



Sehen Sie sich das Profil von Marita an!   Senden Sie eine Private Message an Marita  Schreiben Sie einen Gästebucheintrag für Marita

Beiträge: 536
Registriert: 29.12.2005

erstellt am: 30. Mai. 2007 15:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Mit einem anderen Kreis der z.B. 5m radius hat?

LG
Marita

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PamDeluxe
Mitglied



Sehen Sie sich das Profil von PamDeluxe an!   Senden Sie eine Private Message an PamDeluxe  Schreiben Sie einen Gästebucheintrag für PamDeluxe

Beiträge: 169
Registriert: 11.01.2007

Core2Duo 6300
2GB DDR2
nVidia Quadro FX 1500
AutoCAD 2007/Civil 3D 2007

erstellt am: 30. Mai. 2007 15:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@cadmium o.k. mit dem befehl wird der abstand so oft aufgetragen wie es möglich ist, gibt es ev. einen Befehl der den eingegebenen Wert nur einmal aufträgt?

@Marita ja gut mit dem Radius hab ich dann die normale "gerade" Länge, ich möchte aber die 5m auf dem Bogen Auftragen.

------------------
Ein Kreis mit unendlichem Radius ist auch nur eine Gerade.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 30. Mai. 2007 15:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von PamDeluxe:
@cadmium o.k. mit dem befehl wird der abstand so oft aufgetragen wie es möglich ist, gibt es ev. einen Befehl der den eingegebenen Wert nur einmal aufträgt?

nein, von Hause aus nicht. Entweder du nutz das so, oder rechnest dir das aus, oder du du proggst dir was entsprechendes.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Entsorger01
Moderator
Techniker




Sehen Sie sich das Profil von Entsorger01 an!   Senden Sie eine Private Message an Entsorger01  Schreiben Sie einen Gästebucheintrag für Entsorger01

Beiträge: 3165
Registriert: 07.07.2006

ACAD 2014 - SP1
VPstudio (Raster)
Acrobat Prof. X
Photoshop CS6
Win7

erstellt am: 30. Mai. 2007 15:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

...oder du zeichnest einen Bogen mit  _arc - Zentrum, Startpunkt und Sehnenlänge auf den Kreis, zeichnest dann deine Linie und löscht den Bogen dann wieder.

Edit: Funktioniert natürlich nicht, da man ja die Bogenlänge bräuchte und nicht die Sehnenlänge, wie mich der Lothar richtigerweise per PM aufmerksam machte.

------------------
Gruß

Michi

"Personalführung ist die Kunst, die Mitarbeiter so schnell über den Tisch zu ziehen,
dass sie die Reibungshitze als Nestwärme empfinden."

[Diese Nachricht wurde von Entsorger01 am 30. Mai. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PamDeluxe
Mitglied



Sehen Sie sich das Profil von PamDeluxe an!   Senden Sie eine Private Message an PamDeluxe  Schreiben Sie einen Gästebucheintrag für PamDeluxe

Beiträge: 169
Registriert: 11.01.2007

Core2Duo 6300
2GB DDR2
nVidia Quadro FX 1500
AutoCAD 2007/Civil 3D 2007

erstellt am: 30. Mai. 2007 15:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

o.k. dann werd ich wohl oder übel bei _measure bleiben müssen, Lisp kann ich nicht...schade eigentlich!

danke für eure Hilfe

------------------
Ein Kreis mit unendlichem Radius ist auch nur eine Gerade.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PamDeluxe
Mitglied



Sehen Sie sich das Profil von PamDeluxe an!   Senden Sie eine Private Message an PamDeluxe  Schreiben Sie einen Gästebucheintrag für PamDeluxe

Beiträge: 169
Registriert: 11.01.2007

Core2Duo 6300
2GB DDR2
nVidia Quadro FX 1500
AutoCAD 2007/Civil 3D 2007

erstellt am: 30. Mai. 2007 15:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke Entsorger01 gute idee!

------------------
Ein Kreis mit unendlichem Radius ist auch nur eine Gerade.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

engelni
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von engelni an!   Senden Sie eine Private Message an engelni  Schreiben Sie einen Gästebucheintrag für engelni

Beiträge: 87
Registriert: 03.05.2007

xp, AutoCad Civil 3D 2012, BBSoft

erstellt am: 30. Mai. 2007 16:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Es gibt die Möglichkeit des Befehls "länge", mit dem man einen Bogen, der zb eine bogenlänge von 10m hat, auf eine gewünschte Bogenlänge - hier 5m - kürzen kann. bzw um 5m verlängern.

Leider läßt sich der Befehl lt Acad-Hilfe nicht auf Kreise, sondern nur auf Linien, Bögen, usw anwenden.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5789
Registriert: 09.11.2001

erstellt am: 30. Mai. 2007 16:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Hallo PamDeluxe,

das Problem ist, dass dein Wunsch bei ACAD nicht realisiert worden ist.
Bogen -> Startpunkt -> Zentrum -> Bogenlänge gibt es nicht. Ärgerlich!

Workaround:

    1. Cadmiums Vorschlag. Aber man kann den Anfangspunkt von "messen" an einem Kreis IMHOIn my humble oppinion (Meiner Meinung nach) nicht bestimmen.
    2. Bogen "in etwa" zeichnen -> und dann mit "Länge" -> gesamt auf die gewünschte Bogenlänge dehnen/stutzen. (siehe engelni)
    3. mit einem Lisp. Doof bei "arclen", der Bogen kann nur gUzs gezeichnet werden, da das Helferlein keine negativen Werte erlaubt.:

Code:
;;;---------------------------------------------------
(defun c:arclen (/ omnu pt1 pt2 d1 d2 a1 a2)
(setq omnu (getvar "MENUECHO"))
(while (not (setq pt1 (getpoint "\nStart point: ")))
(princ "\nNo start point selected... ")
)
(while (not (setq pt2 (getpoint pt1 "\nCenter: ")))
(princ "\nNo center point selected... ")
)
(setq d1 (distance pt1 pt2)
d2 (* d1 2 pi))
(while (or (>= a2 360) (= a2 nil))
(initget 7)
(setq a1 (getreal "\nArc length: ")
a2 (/ (* 180 a1) (* pi d1)))
(if (>= a2 360) (princ (strcat "\n*Invalid*\nArc length must
be less than "
(rtos d2))))
)
(setvar "MENUECHO" 2)
(command "_ARC" pt1 "_C" pt2 "_A" a2)
(setvar "MENUECHO" omnu)
(princ)
)
;;;---------------------------------------------------

Lothar

------------------
From Autodusk Till Dawn

[Diese Nachricht wurde von Kramer24 am 30. Mai. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 30. Mai. 2007 17:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

man kann auch mit

Befehl:

    Länge Delta -5

den Bogen um 5 Einheiten kürzen und man hat den neuen Einfügepunkt
Genauso gehts auch mit den dreieckigen Griffen ab 2007

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

civilization
Mitglied
MfA


Sehen Sie sich das Profil von civilization an!   Senden Sie eine Private Message an civilization  Schreiben Sie einen Gästebucheintrag für civilization

Beiträge: 190
Registriert: 14.02.2006

Windows XP
Civil 3D 2009

erstellt am: 30. Mai. 2007 20:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Hi,

wenn Du soetwas häufiger benötigst, würde ich mir einen dynamischen Block mit den nötigen Abfragen erstellen...

mfg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 31. Mai. 2007 08:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich


MEASURE-ONE.VLX.txt

 
Ich hab mal noch was zu dem Thema geschrieben .. siehe Anhang.

Es wird ein Abstandes auf einem gewähltem Kurvenobjekt von einem
anzugegebenen Ausgangsunkt in anzugebener Meßrichtung abgetragen und an der Stelle ein Punktobjekt abgesetzt. Dessen Koordinaten werden in der Systemvariablen "LASTPOINT" gespeichert, so daß man mit @ beim Weiterzeichnen drauf Zugriff hat. (Funktioniert bei auch bei Kreisen Ellipsen Splines ....)

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Entsorger01
Moderator
Techniker




Sehen Sie sich das Profil von Entsorger01 an!   Senden Sie eine Private Message an Entsorger01  Schreiben Sie einen Gästebucheintrag für Entsorger01

Beiträge: 3165
Registriert: 07.07.2006

ACAD 2014 - SP1
VPstudio (Raster)
Acrobat Prof. X
Photoshop CS6
Win7

erstellt am: 31. Mai. 2007 09:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

@Thomas:  Genial - wie immer!

------------------
Gruß

Michi

"Personalführung ist die Kunst, die Mitarbeiter so schnell über den Tisch zu ziehen,
dass sie die Reibungshitze als Nestwärme empfinden."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PamDeluxe
Mitglied



Sehen Sie sich das Profil von PamDeluxe an!   Senden Sie eine Private Message an PamDeluxe  Schreiben Sie einen Gästebucheintrag für PamDeluxe

Beiträge: 169
Registriert: 11.01.2007

Core2Duo 6300
2GB DDR2
nVidia Quadro FX 1500
AutoCAD 2007/Civil 3D 2007

erstellt am: 31. Mai. 2007 09:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Cadmium...echt cooles tool hast du das jetzt mal so auf die Schnelle getippt oder wie?? Echt coole Sache!Danke

10Us von mir!!

------------------
Ein Kreis mit unendlichem Radius ist auch nur eine Gerade.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charlieBV
Ehrenmitglied V.I.P. h.c.
Bauzeichnerin



Sehen Sie sich das Profil von charlieBV an!   Senden Sie eine Private Message an charlieBV  Schreiben Sie einen Gästebucheintrag für charlieBV

Beiträge: 9285
Registriert: 28.08.2003

erstellt am: 31. Mai. 2007 09:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Alternativ dazu, wenn es kein geschlossener Kreis ist, man kann, wenn man die Spurverfolgung nimmt, und den OFang Hilflinie anhat auch den Wert eingeben. Die Spur folgt dann dem Bogen.

z.b. - Befehl Linie
- Spur mit Endpunkt am Bogenanfang ansetzen
- dann entlang des Bogens ziehen (Erweiterung)
- Wert eingeben

Der Linienanfang befindet sich dann um das angegebene Bogenmaß versetzt vom Bogenanfang.

------------------
Gruß Yvonne                                   ADT-Help-Site

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PamDeluxe
Mitglied



Sehen Sie sich das Profil von PamDeluxe an!   Senden Sie eine Private Message an PamDeluxe  Schreiben Sie einen Gästebucheintrag für PamDeluxe

Beiträge: 169
Registriert: 11.01.2007

Core2Duo 6300
2GB DDR2
nVidia Quadro FX 1500
AutoCAD 2007/Civil 3D 2007

erstellt am: 01. Jun. 2007 09:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Cadmium, hab dein tool jetzt mal ausprobiert funktioniert echt toll, schade dass es bei Polylinien nicht funktioniert!gibt es für polys auch ein tool ?wäre sehr interessiert daran!

Danke im Voraus

Grüße PamDeluxe

------------------
Ein Kreis mit unendlichem Radius ist auch nur eine Gerade.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 01. Jun. 2007 09:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

das Teil funktioniert auch bei Polilinien (LW, 2D) ... was für eine Meldung hast du erhalten?
Was noch fehlt ist ein Koordinatengetranse, falls nich im WKS geabeitet wird.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PamDeluxe
Mitglied



Sehen Sie sich das Profil von PamDeluxe an!   Senden Sie eine Private Message an PamDeluxe  Schreiben Sie einen Gästebucheintrag für PamDeluxe

Beiträge: 169
Registriert: 11.01.2007

Core2Duo 6300
2GB DDR2
nVidia Quadro FX 1500
AutoCAD 2007/Civil 3D 2007

erstellt am: 01. Jun. 2007 09:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

o.k. entschuldigung mein Fehler...die Polylinie an der ich es getestet hatte, hatte einen z-wert! also eine Höhe!

Bei 2D-Polys funkt es vorzüglich!
Nochmal echt geniales Program

Danke!

------------------
Ein Kreis mit unendlichem Radius ist auch nur eine Gerade.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

edo2000
Mitglied



Sehen Sie sich das Profil von edo2000 an!   Senden Sie eine Private Message an edo2000  Schreiben Sie einen Gästebucheintrag für edo2000

Beiträge: 38
Registriert: 05.03.2003

erstellt am: 26. Okt. 2012 17:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Hallo Leute ...

der Beitrag ist zwar schon älter aber dennoch ist die VLX von Thomas sehr nützlich.
Meine Frage: Kann ich den Befehl "MEASURE-ONE" in einer LISP aufrufen? ... Wenn JA, Wie?

Denn beim Aufruf

Code:
(command "MEASURE-ONE" OBJ P1 P2 Absdand)

Bekomme ich eine Fehlermeldung "Unbekannter Befehl "MEASURE-ONE"" trotz bereits geladener VLX-Anwendung.

Über Befehlszeile funktioniert es tadellos ...

------------------
@edo...

..............................................
SO EINFACH WIE MÖGLICH, ABER NICHT EINFACHER !
..............................................

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 26. Okt. 2012 19:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

statt deiner Zeile müßte es so lauten: (c:MEASURE-ONE) (Lispdefinierter AutoCAD-Befehl)
Wenn du NUR diese Zeile in ein MAKRO packen möchtest, würde aber auch einfach MEASURE-ONE ausreichen !

Willst du den ermittelten Punkt weiterverwenden, wovon ja auszugehen ist:

kannst du das in einem Makro so machen: MEASUREMENT-ONE;\\\\_.LINE;@;0,0,0;;

Oder auch in einem Command:

(command "_.LINE" (C:MEASURE-ONE) "0,0,0" "")

(progn
  (C:MEASURE-ONE)
  (command "_.LINE" "@" "0,0,0" "")
)

Wenn man den Punkt außerhalb von Commands benötigt, oder sich den Punkt "merken" will:

(if (setq PointOfNoReturn (C:MEASURE-ONE))
      (alert (print PointOfNoReturn))
)

 

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

edo2000
Mitglied



Sehen Sie sich das Profil von edo2000 an!   Senden Sie eine Private Message an edo2000  Schreiben Sie einen Gästebucheintrag für edo2000

Beiträge: 38
Registriert: 05.03.2003

erstellt am: 27. Okt. 2012 20:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:
......
Wenn man den Punkt außerhalb von Commands benötigt, oder sich den Punkt "merken" will:
Code:

(if (setq PointOfNoReturn (C:MEASURE-ONE))
      (alert (print PointOfNoReturn))
)




... besten Dank ... !

------------------
@edo...

..............................................
SO EINFACH WIE MÖGLICH, ABER NICHT EINFACHER !
..............................................

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Wilfried Nelkel
Mitglied
glaubt mir eh keiner


Sehen Sie sich das Profil von Wilfried Nelkel an!   Senden Sie eine Private Message an Wilfried Nelkel  Schreiben Sie einen Gästebucheintrag für Wilfried Nelkel

Beiträge: 786
Registriert: 15.03.2001

AutoCAD/ADT/ACA 2002 - 2017, Hardware: HP Z620 Workstation, Xeon E5-1620 € 3,60 GHz, 24 GB RAM, PNY Quadro K2000, Windows 7-64bit .....
ATC-Trainer

erstellt am: 28. Okt. 2012 20:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Hey Pam,

der Vorschlag von charlieBV ist meiner Meinung nach der Beste. Ohne Zusatzprogrammierung.

Objektfang "Hilfslinie" aktivieren (Neben Endpunkt natürlich). Polar aktivieren.
Dann Startpunkt des Bogens zeigen, entlang des Bogens fahren, Länge bzw. Abstand über die Tastatur eintippen und Enter drücken. Dann liegt der Startpunkt der Linie exakt in der über die Tastatur angegebenen Bogenlänge.


------------------
Schöne Grüsse


Wilfried Nelkel
http://www.cad-nelkel.de
http://www.schulungshandbuch.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 28. Okt. 2012 21:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PamDeluxe 10 Unities + Antwort hilfreich

Dazu ist weder Polar noch Endpunkt erforderlich. Fangfunktion HIL allein reicht völlig aus.

Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz